summaryrefslogtreecommitdiffhomepage
path: root/modules
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2008-11-05 22:06:27 +0000
committerJo-Philipp Wich <jow@openwrt.org>2008-11-05 22:06:27 +0000
commit7651fd78f055c0f6373027d5dae1f2ce9e8db4c3 (patch)
tree7e33d28dcade2e336b65e00a2718be662de69e5d /modules
parent9f28871ffcd8a59bc372059fe7db30eddba376ed (diff)
* luci: fix postinstall scripts
Diffstat (limited to 'modules')
-rwxr-xr-xmodules/admin-core/ipkg/postinst9
1 files changed, 5 insertions, 4 deletions
diff --git a/modules/admin-core/ipkg/postinst b/modules/admin-core/ipkg/postinst
index c2f3b5f18..90138ae76 100755
--- a/modules/admin-core/ipkg/postinst
+++ b/modules/admin-core/ipkg/postinst
@@ -1,6 +1,7 @@
#!/bin/sh
-/etc/init.d/luci_fixtime enable
-/etc/init.d/luci_ethers enable
-/etc/init.d/luci_hosts enable
-
+[ -n "${IPKG_INSTROOT}" ] || {
+ /etc/init.d/luci_fixtime enable
+ /etc/init.d/luci_ethers enable
+ /etc/init.d/luci_hosts enable
+}